import { Injectable } from '@angular/core';
import TVoxSDK from '@telenia/tvox-client-sdk';

@Injectable({
  providedIn: 'root',
})
export class TVoxService {
  private client: TVoxSDK.Client;

  constructor() {
    // istanzio il client
    this.client = new TVoxSDK.Client({
      url: 'localhost:4200',
      phoneManagedByTVoxClient: false,
    });
  }

  // metodo per recuperarmi il client istanziato all'interno di questo servizio da qualsiasi punto dell'applicativo in cui potrei averne bisogno
  getClient(): TVoxSDK.Client {
    return this.client;
  }
}
